<?
if(isset($_GET['start1']))
{
$money=100000000;
if($ku['money']>=$money)
{

$rm=rand(0,100);
$rr=rand(0,100);
$rsh=rand(0,100);
$rya=rand(0,100);
$rd=rand(0,100);
$rsc=rand(0,100);
$rvt=rand(0,100);
$rhp=rand(0,100);
if($ku['level']>=30 && $ku['level']<40)
{
$rrat=350;
$rating=intval("".$rrat."9999");
$rat=$rating;
$rat_drakon_act=0;
$rat_school_act=0;
$rat_lib_act=0;
$rat_vetruk=0;
if(isset($drakon_act))$rat_drakon_act=(($rat/100)*300);
if(isset($school_act))$rat_school_act=$rat*2;
if(isset($vetruk))$rat_vetruk=$rat+$rat*2;
if(isset($lib_act))$rat_lib_act=$rat/2;
$rat=$rat_drakon_act+$rat_school_act+$rat_vetruk+$rat_lib_act+$rat;
if(isset($dexp))$rat=$rat*2;
$rating=$rat;
if($rm==10 || $rm==40 || $rm==70 || $rm==100)
{
$pm="".rand(1,10)."0000";
$pm=intval($pm);
$pme=1;
}
if($rr==10 || $rr==40 || $rr==70 || $rr==100)
{
$pr="".rand(1,20)."0";
$pre=1;
}
}
if($ku['level']>=40 && $ku['level']<45)
{
$rrat=300;
$rating=intval("".$rrat."99999");
$rat=$rating;
$rat_drakon_act=0;
$rat_school_act=0;
$rat_lib_act=0;
$rat_vetruk=0;
if(isset($drakon_act))$rat_drakon_act=(($rat/100)*300);
if(isset($school_act))$rat_school_act=$rat*2;
if(isset($vetruk))$rat_vetruk=$rat+$rat*2;
if(isset($lib_act))$rat_lib_act=$rat/2;
$rat=$rat_drakon_act+$rat_school_act+$rat_vetruk+$rat_lib_act+$rat;
if(isset($dexp))$rat=$rat*2;
$rating=$rat;
if($rm==10 || $rm==40 || $rm==70 || $rm==100)
{
$pm="".rand(1,10)."00000";
$pm=intval($pm);
$pme=1;
}
if($rr==10 || $rr==40 || $rr==70 || $rr==100)
{
$pr="".rand(1,50)."0";
$pre=1;
}
}
elseif($ku['level']>=45)
{
$rrat=300;
$rating=intval("".$rrat."909920");
$rat=$rating;
$rat_drakon_act=0;
$rat_school_act=0;
$rat_lib_act=0;
$rat_vetruk=0;
if(isset($drakon_act))$rat_drakon_act=(($rat/100)*300);
if(isset($school_act))$rat_school_act=$rat*2;
if(isset($lib_act))$rat_lib_act=$rat/2;
if(isset($vetruk))$rat_vetruk=$rat+$rat*2;
if(isset($dexp))$rat=$rat*2;
$rat=$rat_drakon_act+$rat_school_act+$rat_vetruk+$rat_lib_act+$rat;
$rating=$rat;
if($rm==10 || $rm==40 || $rm==70 || $rm==100)
{
$pm="".rand(1,10)."0000";
$pm=intval($pm);
$pme=1;
}
if($rr==10 || $rr==40 || $rr==70 || $rr==100)
{
$pr="".rand(1,10)."00";
$pre=1;
}
}
update_ku('rating',($ku['rating']+$rat));
$ku['money']=minus_money($money);
update_mc($rat);

if(isset($pme))mysql_query("UPDATE `kolhoz_user` SET `money` = '".($ku['money']+$pm)."' WHERE `id` = '$ku[id]'");

if(isset($pre))mysql_query("UPDATE `kolhoz_user` SET `rubies` = '".($ku['rubies']+$pr)."' WHERE `id` = '$ku[id]'");


if($rsh==10 || $rsh==40 || $rsh==70 || $rsh==100)
{
$timee=36000;
mysql_query("UPDATE `kolhoz_user` SET `time_shmel` = '".($ku['time_shmel']>$time?"".($ku['time_shmel']+$timee)."":"".($time+$timee)."")."' WHERE `id` = '$ku[id]'");
$rshe=1;
}
if($rya==10 || $rya==40 || $rya==70 || $rya==100)
{
$timee=360000;
mysql_query("UPDATE `kolhoz_user` SET `time_yastreb` = '".($ku['time_yastreb']>$time?"".($ku['time_yastreb']+$timee)."":"".($time+$timee)."")."' WHERE `id` = '$ku[id]'");
$ryae=1;
}
if($rd==10 || $rd==40 || $rd==70 || $rd==100)
{
$timee=360000;
mysql_query("UPDATE `kolhoz_user` SET `time_drakon` = '".($ku['time_drakon']>$time?"".($ku['time_drakon']+$timee)."":"".($time+$timee)."")."' WHERE `id` = '$ku[id]'");
$rde=1;
}
if($rsc==10 || $rsc==40 || $rsc==70 || $rsc==100)
{
$timee=360000;
mysql_query("UPDATE `kolhoz_user` SET `scarecrow_time` = '".($ku['scarecrow_time']>$time?"".($ku['scarecrow_time']+$timee)."":"".($time+$timee)."")."' WHERE `id` = '$ku[id]'");
$rsce=1;
}
if($rvt==10 || $rvt==40 || $rvt==70 || $rvt==100)
{
$timee=360000;
mysql_query("UPDATE `kolhoz_user` SET `time_vetruk` = '".($ku['time_vetruk']>$time?"".($ku['time_vetruk']+$timee)."":"".($time+$timee)."")."' WHERE `id` = '$ku[id]'");
$rvte=1;
}
if($rhp==10 || $rhp==40 || $rhp==70 || $rhp==100)
{
$timee=360000;
$ps=300;
mysql_query("UPDATE `kolhoz_user` SET `hydropinics_time` = '".($ku['hydropinics_time']>$time?"".($ku['hydropinics_time']+$timee)."":"".($time+$timee)."")."', `hydropinics_type` = '$ps' WHERE `id` = '$ku[id]'");
$rhpe=1;
}
echo "<div class='feedback'><img width='16' height='16' src='images/icons/experience.png' alt='o'> Опыт +<span>$rat</span></div>";

}
else
{
$_SESSION['no_money']=$money-$ku['money'];
header("Location:?loteree&lot");
}
}


//------------------------------------------------------------------------------
if(isset($_GET['start']))
{
$money=1000000;
if($ku['money']>=$money)
{

$rm=rand(0,100);
$rr=rand(0,100);
$rsh=rand(0,100);
$rya=rand(0,100);
$rd=rand(0,100);
$rsc=rand(0,100);
$rvt=rand(0,100);
$rhp=rand(0,100);
if($ku['level']>=30 && $ku['level']<40)
{
$rrat=300;
$rating=intval("".$rrat."000");
$rat=$rating;
$rat_drakon_act=0;
$rat_school_act=0;
$rat_lib_act=0;
$rat_vetruk=0;
if(isset($drakon_act))$rat_drakon_act=(($rat/100)*300);
if(isset($school_act))$rat_school_act=$rat*2;
if(isset($vetruk))$rat_vetruk=$rat+$rat*2;
if(isset($lib_act))$rat_lib_act=$rat/2;
$rat=$rat_drakon_act+$rat_school_act+$rat_vetruk+$rat_lib_act+$rat;
if(isset($dexp))$rat=$rat*2;
$rating=$rat;
if($rm==10 || $rm==40 || $rm==70 || $rm==100)
{
$pm="".rand(1,10)."00000";
$pm=intval($pm);
$pme=1;
}
if($rr==10 || $rr==40 || $rr==70 || $rr==100)
{
$pr="".rand(1,20)."0";
$pre=1;
}
}
if($ku['level']>=40 && $ku['level']<45)
{
$rrat=300;
$rating=intval("".$rrat."000");
$rat=$rating;
$rat_drakon_act=0;
$rat_school_act=0;
$rat_lib_act=0;
$rat_vetruk=0;
if(isset($drakon_act))$rat_drakon_act=(($rat/100)*300);
if(isset($school_act))$rat_school_act=$rat*2;
if(isset($vetruk))$rat_vetruk=$rat+$rat*2;
if(isset($lib_act))$rat_lib_act=$rat/2;
$rat=$rat_drakon_act+$rat_school_act+$rat_vetruk+$rat_lib_act+$rat;
if(isset($dexp))$rat=$rat*2;
$rating=$rat;
if($rm==10 || $rm==40 || $rm==70 || $rm==100)
{
$pm="".rand(1,10)."000000";
$pm=intval($pm);
$pme=1;
}
if($rr==10 || $rr==40 || $rr==70 || $rr==100)
{
$pr="".rand(1,50)."0";
$pre=1;
}
}
elseif($ku['level']>=45)
{
$rrat=300;
$rating=intval("".$rrat."000");
$rat=$rating;
$rat_drakon_act=0;
$rat_school_act=0;
$rat_lib_act=0;
$rat_vetruk=0;
if(isset($drakon_act))$rat_drakon_act=(($rat/100)*300);
if(isset($school_act))$rat_school_act=$rat*2;
if(isset($lib_act))$rat_lib_act=$rat/2;
if(isset($vetruk))$rat_vetruk=$rat+$rat*2;
if(isset($dexp))$rat=$rat*2;
$rat=$rat_drakon_act+$rat_school_act+$rat_vetruk+$rat_lib_act+$rat;
$rating=$rat;
if($rm==10 || $rm==40 || $rm==70 || $rm==100)
{
$pm="".rand(1,10)."0000";
$pm=intval($pm);
$pme=1;
}
if($rr==10 || $rr==40 || $rr==70 || $rr==100)
{
$pr="".rand(1,10)."00";
$pre=1;
}
}
update_ku('rating',($ku['rating']+$rat));
$ku['money']=minus_money($money);
update_mc($rat);

if(isset($pme))mysql_query("UPDATE `kolhoz_user` SET `money` = '".($ku['money']+$pm)."' WHERE `id` = '$ku[id]'");

if(isset($pre))mysql_query("UPDATE `kolhoz_user` SET `rubies` = '".($ku['rubies']+$pr)."' WHERE `id` = '$ku[id]'");


if($rsh==10 || $rsh==40 || $rsh==70 || $rsh==100)
{
$timee=3600;
mysql_query("UPDATE `kolhoz_user` SET `time_shmel` = '".($ku['time_shmel']>$time?"".($ku['time_shmel']+$timee)."":"".($time+$timee)."")."' WHERE `id` = '$ku[id]'");
$rshe=1;
}
if($rya==10 || $rya==40 || $rya==70 || $rya==100)
{
$timee=3600;
mysql_query("UPDATE `kolhoz_user` SET `time_yastreb` = '".($ku['time_yastreb']>$time?"".($ku['time_yastreb']+$timee)."":"".($time+$timee)."")."' WHERE `id` = '$ku[id]'");
$ryae=1;
}
if($rd==10 || $rd==40 || $rd==70 || $rd==100)
{
$timee=3600;
mysql_query("UPDATE `kolhoz_user` SET `time_drakon` = '".($ku['time_drakon']>$time?"".($ku['time_drakon']+$timee)."":"".($time+$timee)."")."' WHERE `id` = '$ku[id]'");
$rde=1;
}
if($rsc==10 || $rsc==40 || $rsc==70 || $rsc==100)
{
$timee=3600;
mysql_query("UPDATE `kolhoz_user` SET `scarecrow_time` = '".($ku['scarecrow_time']>$time?"".($ku['scarecrow_time']+$timee)."":"".($time+$timee)."")."' WHERE `id` = '$ku[id]'");
$rsce=1;
}
if($rvt==10 || $rvt==40 || $rvt==70 || $rvt==100)
{
$timee=3600;
mysql_query("UPDATE `kolhoz_user` SET `time_vetruk` = '".($ku['time_vetruk']>$time?"".($ku['time_vetruk']+$timee)."":"".($time+$timee)."")."' WHERE `id` = '$ku[id]'");
$rvte=1;
}
if($rhp==10 || $rhp==40 || $rhp==70 || $rhp==100)
{
$timee=3600;
$ps=300;
mysql_query("UPDATE `kolhoz_user` SET `hydropinics_time` = '".($ku['hydropinics_time']>$time?"".($ku['hydropinics_time']+$timee)."":"".($time+$timee)."")."', `hydropinics_type` = '$ps' WHERE `id` = '$ku[id]'");
$rhpe=1;
}
echo "<div class='feedback'><img width='16' height='16' src='images/icons/experience.png' alt='o'> Опыт +<span>$rat</span></div>";
}
else
{
$_SESSION['no_money']=$money-$ku['money'];
header("Location:?lottery");
}
}
echo "<div class='event'><h1>Лотерея ''Спринт''</h1></div>";
echo "<div class='content'><div class='block'>";
echo "<ul><li><img width='16' height='16' src='images/icons/ticket.png' alt='o'>
<a href='?lottery&start=1'>Купить билет</a> <span><img width='16' height='16' src='images/icons/money.png' alt='o'> <span class='title'>1 млн.</span></span>
</li>";

echo "<ul><li><img width='16' height='16' src='images/icons/ticket.png' alt='o'>
<a href='?lottery&start1=1'>Купить билет</a> <span><img width='16' height='16' src='images/icons/money.png' alt='o'> <span class='title'>100 млн.</span></span>
</li>";

if(isset($_GET['start1']) && $ku['money']>=$money)
{
echo "<li class='title pt'>Ваш выигрыш:</li>";
echo "<li><span><ul>";
echo "<li><span><img width='16' height='16' src='images/icons/experience.png' alt='o'> <span class='title'>".rating($rat)."</span><span class='minor'> (<span>$rat</span>)</span></span></li>";
if(isset($pme))echo "<li><span><img width='16' height='16' src='images/icons/money.png' alt='o'> <span class='title'>".number_format($pm)."</span></li>";
if(isset($pre))echo "<li><span><img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span class='title'>$pr</span></li>";
echo "<li></li></ul></span></li>";
if(isset($rsce))echo "<li><span><img width='48' height='48' src='images/scarecrow.png' alt='o'> Пугало на <span class='title'>".time_left($timee)."</span></li>";
if(isset($rvte))echo "<li><span><img width='48' height='48' src='images/vetriak.png' alt='o'> Ветряк на <span class='title'>".time_left($timee)."</span></li>";
if(isset($rhpe))echo "<li><span><img width='48' height='48' src='images/hydropinics.png' alt='o'> Гидропоника на <span class='title'>".time_left($timee)."</span></li>";
if(isset($rshe))echo "<li><span><img width='48' height='48' src='images/bumblebee1.png' alt='o'> Шмель на <span class='title'>".time_left($timee)."</span></li>";
if(isset($ryae))echo "<li><span><img width='48' height='48' src='images/hawk1.png' alt='o'> Ястреб на <span class='title'>".time_left($timee)."</span></li>";
if(isset($rde))echo "<li><span><img width='48' height='48' src='images/dragon1.png' alt='o'> Дракон на <span class='title'>".time_left($timee)."</span></li>";
}

if(isset($_GET['start']) && $ku['money']>=$money)
{
echo "<li class='title pt'>Ваш выигрыш:</li>";
echo "<li><span><ul>";
echo "<li><span><img width='16' height='16' src='images/icons/experience.png' alt='o'> <span class='title'>".rating($rat)."</span><span class='minor'> (<span>$rat</span>)</span></span></li>";
if(isset($pme))echo "<li><span><img width='16' height='16' src='images/icons/money.png' alt='o'> <span class='title'>".number_format($pm)."</span></li>";
if(isset($pre))echo "<li><span><img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span class='title'>$pr</span></li>";
echo "<li></li></ul></span></li>";
if(isset($rsce))echo "<li><span><img width='48' height='48' src='images/scarecrow.png' alt='o'> Пугало на <span class='title'>".time_left($timee)."</span></li>";
if(isset($rvte))echo "<li><span><img width='48' height='48' src='images/vetriak.png' alt='o'> Ветряк на <span class='title'>".time_left($timee)."</span></li>";
if(isset($rhpe))echo "<li><span><img width='48' height='48' src='images/hydropinics.png' alt='o'> Гидропоника на <span class='title'>".time_left($timee)."</span></li>";
if(isset($rshe))echo "<li><span><img width='48' height='48' src='images/bumblebee1.png' alt='o'> Шмель на <span class='title'>".time_left($timee)."</span></li>";
if(isset($ryae))echo "<li><span><img width='48' height='48' src='images/hawk1.png' alt='o'> Ястреб на <span class='title'>".time_left($timee)."</span></li>";
if(isset($rde))echo "<li><span><img width='48' height='48' src='images/dragon1.png' alt='o'> Дракон на <span class='title'>".time_left($timee)."</span></li>";
}
echo "<li class='pt minor'>Лотерея - беспроигрышная, минимальный выигрыш: </br><img width='16' height='16' src='images/icons/experience.png' alt='o'> 300000 k</li>";
echo "</ul></div>";
include_once 'inc/foot.php';
?>